#
# spec file for package salt-supportconfig-plugins
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           supportutils-plugin-salt
Version:        1.2.3
Release:        150000.3.16.1
Summary:        Plugins for the supportconfig utility, covering Salt
License:        MIT
Group:          Applications/Internet
Source:         salt-supportconfig-%{version}.tar.gz
URL:            https://github.com/openSUSE/salt-supportconfig
Requires(pre):  coreutils
Requires:       supportutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Supplements:    packageand(salt:supportutils)

%description
Plugins for the supportconfig utility, covering Salt.
Used for debug information when troubleshooting.

%prep
%setup -q -n salt-supportconfig-%{version}

%build

%install
ls -lah

install -d %{buildroot}/usr/lib/supportconfig/plugins
install -d %{buildroot}/usr/lib/supportconfig/resources
install -m 0755 src/pluginrc/saltplugins.rc %{buildroot}/usr/lib/supportconfig/resources
install -m 0755 src/saltconfiguration %{buildroot}/usr/lib/supportconfig/plugins
install -m 0755 src/saltgeneral %{buildroot}/usr/lib/supportconfig/plugins
install -m 0755 src/saltjobs %{buildroot}/usr/lib/supportconfig/plugins
install -m 0755 src/saltlogfiles %{buildroot}/usr/lib/supportconfig/plugins
install -m 0755 src/saltmasterpillars %{buildroot}/usr/lib/supportconfig/plugins
install -m 0755 src/saltminionskeys %{buildroot}/usr/lib/supportconfig/plugins
install -m 0755 src/saltminionsstatus %{buildroot}/usr/lib/supportconfig/plugins

%files
%defattr(-,root,root)
%doc VERSION
%{!?_licensedir:%global license %doc}
%license LICENSE
/usr/lib/supportconfig/
/usr/lib/supportconfig/resources
/usr/lib/supportconfig/resources/saltplugins.rc
/usr/lib/supportconfig/plugins
/usr/lib/supportconfig/plugins/saltconfiguration
/usr/lib/supportconfig/plugins/saltgeneral
/usr/lib/supportconfig/plugins/saltjobs
/usr/lib/supportconfig/plugins/saltlogfiles
/usr/lib/supportconfig/plugins/saltmasterpillars
/usr/lib/supportconfig/plugins/saltminionskeys
/usr/lib/supportconfig/plugins/saltminionsstatus

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 14 2025 psuarezhernandez@suse.com
- Adjust requires for plugin to allow compatibility with
  supportutils 3.2.9 release (bsc#1235145)
* Fri Jan 10 2025 psuarezhernandez@suse.com
- Update to version 1.2.3
  * Add "CONTRIBUTING.md" with notes about Pull Requests
  * Provide backwards-compatible scripts version
* Mon Sep 19 2022 pablo.suarezhernandez@suse.com
- Update to version 1.2.2
  * Remove possible passwords from Salt configuration files (bsc#1201059)
* Mon Jul 11 2022 alexander.graul@suse.com
- Update to version 1.2.1
  * Remove ERROR messages on Salt client systems
* Mon Jun  6 2022 jgonzalez@suse.com
- Declare the LICENSE file as license and not doc
* Mon May 30 2022 alexander.graul@suse.com
- Update to version 1.2.0
  * Add support for Salt Bundle
* Mon Mar 22 2021 pablo.suarezhernandez@suse.com
- version 1.1.5
- Fix yaml.load() warnings and issues with Python versions (bsc#1178072) (bsc#1181474)
- Fix errors when collecting data for salt-minion (bsc#1131670)
* Thu Apr 19 2018 pablo.suarezhernandez@suse.com
- version 1.1.4
- Collect salt-api, salt-broker and salt-ssh log files (bsc#1090242)
* Tue Nov  7 2017 pablo.suarezhernandez@suse.com
- version 1.1.3
- Collect local grains on Salt systems.
* Wed Oct 25 2017 brejoc@gmail.com
- version 1.1.2
- Added saltlogfiles to plugin list, so that salt logs are also
  included. (bsc#1063805)
* Mon Sep 11 2017 pablo.suarezhernandez@suse.com
- Prevent supportconfig from getting stuck when minions are
  unreachable (bsc#1048694)
* Tue May 23 2017 bmaryniuk@suse.com
- Add logs and extra info, code refactorings.
* Wed Jan 18 2017 bmaryniuk@suse.com
- Rename to "supportutils-plugin-salt" (bsc#1003547)
* Fri Nov  4 2016 bmaryniuk@suse.com
- New version 1.1.0 features the following:
  * Added configuration gathering (saltconfiguration)
  * Added pillar gathering (saltmasterpillars)
  * Added common resources along with the supportconfig
* Fri Nov  4 2016 bmaryniuk@suse.com
- Initial package
